import java.rmi.*;
import java.rmi.server.*;


public class PortImpl extends SFServerImpl implements Port
{
	public PortImpl(String host, String desc) throws RemoteException, AlreadyBoundException
	{
		super(host, desc, ServerInfo.PORT);
	}

	public boolean releaseFreight(FreightEntry entry)
	{
		/* Status testen und erhhen und speichern. */
		if (!this.testAndRaise(FreightEntry.SET, entry))
			return(false);

		this.logConsole("freightEntry " + entry.getFreightNum() + " was released");
		return(true);
	}

	public boolean announceArrival(FreightEntry entry)
	{
		/* Status testen und erhhen und speichern. */
		if (!this.testAndRaise(FreightEntry.GRANTED, entry))
			return(false);

		this.logConsole("freightEntry " + entry.getFreightNum() + " was announced");
		return(true);
	}
	
	public void initCmd(CommandLineInterface cli)
	{
		cli.registerCommand("setarrival", new CmdSetArrival(this));
	}
}

