import java.io.*;

/** Einfache Klasse um Zeilen aus einem File zu lesen.
  * @author Bernhard Fiser
  * @version 1.0 2002/09/23
  */
public class ReadFile
{
	private BufferedReader	in;


	/** Datei ffnen.
	  * @param String path : Pfad.
	  * @param String name : Filename.
	  * @return boolean : true falls alles ok.
	  */
	public boolean open(String name)
	{
		try
		{
			this.in = new BufferedReader(new FileReader(name));
		}
		catch (IOException e)
		{
			return(false);
		}

		return(true);
	}

	/** Datei schlieen. */
	public void close()
	{
		try
		{
			this.in.close();
		}
		catch (IOException e) {}
	}

	/** Zeile lesen.
	  * @return String : String mit enthaltener Zeile oder null bei Fehler oder Dateiende.*/
	public String readLine()
	{
		String	s = null;

		try
		{
			s = this.in.readLine();
		}
		catch (IOException e)
		{
			s = null;
		}
		return(s);
	}

	/** Testet ob String leer oder 'null' ist. */
	public static boolean isEmpty(String s)
	{
		if (s == null)
			return(true);
		if (s.trim().length() == 0)
			return(true);
		return(false);
	}

	/** Testet ob ein String eine Kommentarzeile enthlt.
	  * @param String s : Zu berprfender String.
	  * @return boolean : true falls Kommentar ('#' oder ';') enthalten. */
	public static boolean isComment(String s)
	{
		switch (s.trim().charAt(0))
		{
			case ';' :
			case '#' :
				return(true);
		}
		return(false);
	}
}
