import java.util.*;

public class ValuePair
{
	public String	attrName;
	public String	attrValue;
	public int	attrType = -1;
	public int	attrIntValue = 0;
	public boolean	attrBoolValue = false;
	/** Gibt den Prfwert des ValuePairs an.
	  * 1 .... geprft und OK
	  * 0 .... ungeprft
	  * -1 ... Value entspricht nicht dem erforderlichen Typ
	  * -2 ... Name unbekannt
	  * -3 ... im Programm noch nicht gscheit implementiert ;-)*/
	public int	attrTypeChecked = 0;

	public String[][]
			vpTypes =
				{{"version", "string"},
				{"hostdetect", "bool"},
				{"hostname", "string"},
				{"registry", "string"},
				{"errorlog", "string"}};

	public boolean parseString(String s)
	{
		StringTokenizer t = new StringTokenizer(s, " ");

		if (t.countTokens() < 2)
			return(false);

		this.attrName = t.nextToken().toLowerCase();
		this.attrValue = t.nextToken();

		while (t.hasMoreTokens())
			this.attrValue += " " + t.nextToken();

		return(true);
	}

	public boolean checkType()
	{
		int	i;

		switch (this.attrTypeChecked)
		{
			case 0 :
				break;
			case 1 :
			case -2 :
				return(true);
			default :
				return(false);
		}

		for (i = 0; i < this.vpTypes.length; i++)
			if (this.attrName.equals(this.vpTypes[i][0]))
			{
				if (this.vpTypes[i][1].equals("bool"))
				{
					if (this.attrValue.compareToIgnoreCase("true") == 0)
					{
						this.attrBoolValue = true;
						this.attrTypeChecked = 1;
						return(true);
					}
					if (this.attrValue.compareToIgnoreCase("false") == 0)
					{
						this.attrBoolValue = false;
						this.attrTypeChecked = 1;
						return(true);
					}
					this.attrTypeChecked = -1;
					return(false);
				}
				if (this.vpTypes[i][1].equals("string"))
				{
					this.attrTypeChecked = 1;
					return(true);
				}
				this.attrTypeChecked = -3;
				return(false);
			}

		this.attrTypeChecked = -2;
		return(true);
	}

	public String errorString()
	{
		switch (this.attrTypeChecked)
		{
			case 1 :
				return("Kein Fehler.");
			case 0 :
				return("Daten noch nicht geprft.");
			case -1 :
				return("Wert entspricht nicht dem erforderlichen Type.");
			case -2 :
				return("Name unbekannt.");
			case -3 :
				return("Das ist im Programm noch nicht gscheit implementiert ;-)");
			default :
				return("Fehler unbekannt, sollte eigentlich nicht vorkommen ;-)");
		}
	}
	
	public String toString()
	{
		return(this.attrValue);
	}
}
