import java.util.*;
import java.rmi.*;
import java.rmi.server.*;
import java.io.*;


public class CarrierImpl extends SFServerImpl implements Carrier, Command
{
	public CarrierImpl(String host, String desc) throws RemoteException, AlreadyBoundException
	{
		super(host, desc, ServerInfo.CARRIER);
	}

	public void initCmd(CommandLineInterface cli)
	{
		cli.registerCommand("create", this);
		cli.registerCommand("request", new CmdRequestPapers(this));
		cli.registerCommand("announce", new CmdAnnounceArrival(this));
	}

	public boolean grantPapers(FreightEntry entry)
	{
		/* Status testen und erhhen und speichern. */
		if (!this.testAndRaise(FreightEntry.SIGNED, entry))
			return(false);

		this.logConsole("freightEntry " + entry.getFreightNum() + " is granted");
		return(true);
	}

	public int execute(PrintWriter out, String cmdString, String paramString)
	{
		String[]	p = new String[3];
		int		tcount = 0;
		int		w = 0, v = 0;
		StringTokenizer	st = new StringTokenizer(paramString, " ");

		while (st.hasMoreTokens() && (tcount < 3))
			p[tcount++] = st.nextToken();

		if ((tcount != 3) || (p[0].equals("?")))
		{
			System.out.println(cmdString + " <description> <weight> <value>");
			return(Command.SYNTAXERROR);
		}

		try
		{
			w = Integer.parseInt(p[1]);
			v = Integer.parseInt(p[2]);
		}
		catch (NumberFormatException e) {}

		this.freightMap.put(new FreightEntry(this.sInfo.getSrvNum(), new Freight(p[0], w, v)));
//		this.logConsole("new freight created");

		return(Command.OK);
	}
}

