/**
* Klasse FreightMap
* SchiffsFracht Dispositionsprogramm
* Dient zur Verwaltung von FreightEntries
*/

import java.util.*;
import java.io.*;


public class FreightMap extends HashMap implements Command
{
	public synchronized void remove(FreightEntry f)
	{
		super.remove(Integer.toString(f.getFreightNum()));
	}

	public synchronized void put(FreightEntry f)
	{
		super.put(Integer.toString(f.getFreightNum()), f);
	}

	public synchronized boolean exists(FreightEntry f)
	{
		return(super.containsKey(Integer.toString(f.getFreightNum())));
	}

	public synchronized FreightEntry get(int n)
	{
		return((FreightEntry) super.get(Integer.toString(n)));
	}

	public int execute(PrintWriter out, String cmdString, String paramString)
	{
		FreightEntry	entry;
		int		j = 0;

		Iterator i = this.values().iterator();

		if (i.hasNext())
		{
			if (paramString.equals("html"))
				out.println("<select name=\"freightmap\" size=\"5\">");
			else
				out.println("freight#\tstate\tdescription\tweight\tvalue");
		}

		while (i.hasNext())
		{
			entry = (FreightEntry) i.next();
			if (paramString.equals("html"))
				out.println("<option value=\"" + entry.getFreightNum() + "\">" + entry.getFreightNum() + "\t" + entry.getStateStr() + "\t" + entry.getFreight().getDescription() + "\t" + entry.getFreight().getWeight() + "\t" + entry.getFreight().getValue() + "</option>");
			else
				out.println("#" + entry.getFreightNum() + "\t" + entry.getStateStr() + "\t" + entry.getFreight().getDescription() + "\t" + entry.getFreight().getWeight() + "\t" + entry.getFreight().getValue());
			j++;
		}
		if (paramString.equals("html"))
			out.println("</select>");
		else
			out.println(j + " freight entries found.");

		return(Command.OK);
	}
}

