/**
* Klasse ServerInfo
* SchiffsFracht Dispositionsprogramm
* Definiert alle Eigenschaften eines Servers
*/

import java.security.*;
import java.io.*;


public class ServerInfo implements Serializable, Command
{
	public static final int	CARRIER = 0;
	public static final int	CUSTOMS = 1;
	public static final int	PORT = 2;
	public static final String[] STYPE = {"carrier", "customs", "port"};

	private	PublicKey	key;
	private String		hostname;
	private String		desc;
	private int		type;
	private int		svnr;

	public ServerInfo(String h, String d, int t, PublicKey k)
	{
		this.key = k;
		this.desc = d;
		this.hostname = h;
		this.type = t;
		this.svnr = Math.abs(this.desc.hashCode()) % 1000 + (t + 1) * 1000;
	}

	public String getHostname()
	{
		return(this.hostname);
	}

	public String getDescription()
	{
		return(this.desc);
	}

	public int getType()
	{
		return(this.type);
	}

	public String getTypeStr()
	{
		return(ServerInfo.STYPE[this.type]);
	}

	public int getSrvNum()
	{
		return(svnr);
	}

	public PublicKey getPublicKey()
	{
		return(this.key);
	}

	public int execute(PrintWriter out, String cmdString, String paramString)
	{
		if (paramString.equals("html"))
			out.println(
				"<table border=\"0\">" +
				"<tr><th>Serverinformationen</th></tr>" +
				"<tr><td>Name:</td><td>" + this.desc + "</td></tr>" +
				"<tr><td>Server Typ:</td><td>" + this.getTypeStr() + "</td></tr>" +
				"<tr><td>Server ID:</td><td>" + this.getSrvNum() + "</td></tr>" +
				"</table>");
		else
			out.println(
				"Serverinformation:\n hostname:\t" + this.hostname +
				"\n description:\t" + this.desc +
				"\n server type:\t" + this.getTypeStr() +
				"\n server id:\t" + this.getSrvNum());
		return(Command.OK);
	}
}
