/**
* Klasse ServerMap
* SchiffsFracht Dispositionsprogramm
* Dient zur Verwaltung von ServerInfo Objekte
*/

import java.util.*;
import java.lang.*;
import java.io.*;


public class ServerMap extends HashMap implements Command
{
	public static String getRmiString(ServerInfo sInfo)
	{
		return("rmi://" + sInfo.getHostname() + "/" + sInfo.getSrvNum());
	}

	/** Entfernt einen Server von Hashmap */
	public synchronized void remove(ServerInfo s)
	{
		super.remove(Integer.toString(s.getSrvNum()));
	}

	/** Fuegt eine Server zu */
	public synchronized void put(ServerInfo s)
	{
		super.put(Integer.toString(s.getSrvNum()), s);
	}

	/** Ueberprueft, ob ein best. Server in Servermap existiert */
	public synchronized boolean exists(ServerInfo s)
	{
		return(super.containsKey(Integer.toString(s.getSrvNum())));
	}

	/** holt ein ServerInfo von HashMap */
	public synchronized ServerInfo get(int n)
	{
		return((ServerInfo) super.get(Integer.toString(n)));
	}


	public int execute(PrintWriter out, String cmdString, String paramString)
	{
		ServerInfo	info;
		int		j = 0;

		Iterator i = this.values().iterator();

		if (i.hasNext())
		{
			if (paramString.equals("html"))
				out.println("<select name=\"servermap\" size=\"5\">");
			else
				out.println("server#\ttype\tdescription");
		}

		while (i.hasNext())
		{
			info = (ServerInfo) i.next();
			if (paramString.equals("html"))
				out.println("<option value=\"" + info.getSrvNum() + "\">" + info.getSrvNum() + "\t" + info.getTypeStr() + "\t" + info.getDescription() + "</option>");
			else
				out.println("#" + info.getSrvNum() + "\t" + info.getTypeStr() + "\t" + info.getDescription());

			j++;
		}

		if (paramString.equals("html"))
			out.println("</select>");
		else
			out.println(j + " servers found.");

		return(Command.OK);
	}
}
